{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post" data-plugin="{$oPlugin->getPluginID()}" data-io="{$cssPlugin->getAdminIOLink()}" data-session="{$smarty.session.jtl_token}">
    {$jtl_token}
    <input type="hidden" name="cssAdminConfigAction" value="saveBank" />

    <fieldset class="border p-2 form-group css-kto-value">
        <legend class="w-auto" data-section="bank">{__('Kontodaten je Land')}
            <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                  data-original-title="{__('Erklärung zur EInrichtung verschiedener Kontodaten.')}">
                <span class="fas fa-info-circle fa-fw"> </span>
            </span>
        </legend>
    {foreach from=$aSelectedCountrys item=oSelectedCountry}
        <div class="input-group mb-3 iso-group ">
            <div class="input-group-prepend input-label" >
                <span class="input-group-text" style="white-space:normal; text-align:left; max-height:30px;">{__('Land / Kontodaten')}</span>
            </div>
            <div class="input-group-append iso-input" style="max-height:30px; width:200px;">
                <select id="countrys" name="countrys[cISO][]" class="form-control " >
                    {foreach from=$aCountrys item=oCountry name=cssLaender}
                        {if empty($cKontinent) || $cKontinent != $oCountry->cKontinent}
                            <optgroup label="{$oCountry->cKontinent}">
                            {$cKontinent = $oCountry->cKontinent}
                        {/if}
                        <option {if $oCountry->cISO== $oSelectedCountry->ISOCode} selected {/if} value="{$oCountry->cISO}">{$oCountry->cDeutsch}</option>
                        {if !empty($cKontinent1) && $cKontinent1 != $cKontinent || $smarty.foreach.cssLaender.last}
                            {$cKontinent1 = $cKontinent}
                            </optgroup>
                        {/if}
                    {/foreach}
                </select>
            </div>
            <div class="input-group-append iso-input" style="flex:1 0 1%">
                <div style="width:100%" >
                    <div class="input-group-prepend">
                        <input name="countrys[cName][]" class="form-control " placeholder="Kontoinhaber" value="{if !empty($oSelectedCountry->cName)}{$oSelectedCountry->cName}{else}{/if}" autocomplete="off">
                        <input name="countrys[cBank][]" class="form-control " placeholder="Bank Name" value="{if !empty($oSelectedCountry->cBank)}{$oSelectedCountry->cBank}{else}{/if}" autocomplete="off">
                        <input name="countrys[cKto][]" class="form-control " placeholder="KontoNr." value="{if !empty($oSelectedCountry->cKto)}{$oSelectedCountry->cKto}{else}{/if}" autocomplete="off">
                    </div>
                    <div  class="input-group-prepend">
                        <input name="countrys[cBLZ][]" class="form-control " placeholder="Bankleitzahl" value="{if !empty($oSelectedCountry->cBLZ)}{$oSelectedCountry->cBLZ}{else}{/if}" autocomplete="off">
                        <input name="countrys[cIBAN][]" class="form-control " placeholder="IBAN" value="{if !empty($oSelectedCountry->cIBAN)}{$oSelectedCountry->cIBAN}{else}{/if}" autocomplete="off">
                        <input name="countrys[cBIC][]" class="form-control " placeholder="BIC" value="{if !empty($oSelectedCountry->cBIC)}{$oSelectedCountry->cBIC}{else}{/if}" autocomplete="off">
                    </div>
                </div>
            </div>
            <div class="input-group-append" style="min-width:60px; max-width:60px">
                <button title="" data-placement="left" data-toggle="tooltip" data-html="true" class=" btn  btn-block  btn-danger btn-heading css-minus" type="button">
                    <i class="fa fa-trash"></i>
                </button>
            </div>
            <div class="input-group-append" style="min-width:60px; max-width:60px">
                <button title="" data-placement="left" data-html="true" class="btn btn-block btn-success btn-heading css-plus" type="button">
                    <i class="fa fa-plus"></i>
                </button>
            </div>
        </div>
    {/foreach}

</fieldset>
    <div class="save-wrapper">
        <div class="ml-auto col-sm-6 col-xl-auto">
            <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
                <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
            </button>
        </div>
    </div>
</form>