<?php

/**
 * Giro QR Code Generierung
 */

error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('error_log','./phperror_'.date("d-m-Y").'.log');

include(dirname(__FILE__) . '/phpqrcode/qrlib.php');

// Daten
$iban = "GB33BUKB20201555555555";
$bic = "MARKDEFF";
$recipient = "Max Mustermann";
$currency = "EUR";
$amount = 99.99;
$amount = number_format(str_replace(",", ".", $amount), 2, ',', '');
$subject = "Rechnung 123456789";
$comment = "Kommentar";

// QR Code Daten (Zeilenumbruch beachten)
$data = "BCD
001
1
SCT
" . $bic . "
" . $recipient . "
" . $iban . "
" . $currency . $amount . "

" . $subject . "

" . $comment;

// Dateiname
$tempDir = "./";
$filename = "SEPA_" . time() . ".png";

// QR Code generieren
$qr_Size = 4;

$str = QRcode::png($data,false);
echo "test";
#echo $str;
die();
// Ergebnis checken
if (is_file($tempDir . '/' . $filename)) {
	print($tempDir . '/' . $filename . " erfolgreich!<br/>");
} else {
	print($tempDir . '/' . $filename . " nicht erfolgreich!<br/>");
}